MONGOC_COLLECTION_FIND_INDEXES(3)

NAME
mongoc_collection_find_indexes() - None

SYNOPSIS

mongoc_cursor_t *
mongoc_collection_find_indexes (mongoc_collection_t *collection,
                                bson_error_t        *error);

Fetches a cursor containing documents, each corresponding to an index on this collection.

PARAMETERS

collection
    A mongoc_collection_t \&.

error
    An optional location for a bson_error_t or NULL \&.

ERRORS

Errors are propagated via the error parameter.

RETURNS

A cursor where each result corresponds to the server's representation of
    an index on this collection. If the collection does not exist on the
    server, the cursor will be empty.

COLOPHON
This page is part of MongoDB C Driver. Please report any bugs at https://jira.mongodb.org/browse/CDRIVER.